package com.ruoyi.app.domain.request;

import com.ruoyi.common.annotation.Excel;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

public class SlaughterRelationBatch {

    private String slaughterCode;

    private Long purchaserId;

    public void setSlaughterCode(String slaughterCode)
    {
        this.slaughterCode = slaughterCode;
    }

    @NotBlank(message = "血码编号不能为空")
    @Size(min = 3, max = 10, message = "血码编号长度必须在3到10之间")
    public String getSlaughterCode()
    {
        return slaughterCode;
    }

    public void setPurchaserId(Long purchaserId)
    {
        this.purchaserId = purchaserId;
    }

    @NotNull(message = "肉商ID不能为空")
    public Long getPurchaserId()
    {
        return purchaserId;
    }
}
